| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
fast_exponential.hpp File Reference

GLM_GTX_fast_exponential More...

Go to the source code of this file.

## Functions
template<typename T >
GLM_FUNC_DECL T | fastExp (T x)
| Faster than the common exp function but less accurate. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastExp (vecType< T, P > const &x)
| Faster than the common exp function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastExp2 (T x)
| Faster than the common exp2 function but less accurate. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastExp2 (vecType< T, P > const &x)
| Faster than the common exp2 function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastLog (T x)
| Faster than the common log function but less accurate. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastLog (vecType< T, P > const &x)
| Faster than the common exp2 function but less accurate. More...
template<typename T >
GLM_FUNC_DECL T | fastLog2 (T x)
| Faster than the common log2 function but less accurate. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastLog2 (vecType< T, P > const &x)
| Faster than the common log2 function but less accurate. More...
template<typename genType >
GLM_FUNC_DECL genType | fastPow (genType x, genType y)
| Faster than the common pow function but less accurate. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastPow (vecType< T, P > const &x, vecType< T, P > const &y)
| Faster than the common pow function but less accurate. More...
template<typename genTypeT , typename genTypeU >
GLM_FUNC_DECL genTypeT | fastPow (genTypeT x, genTypeU y)
| Faster than the common pow function but less accurate. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | fastPow (vecType< T, P > const &x)
| Faster than the common pow function but less accurate. More...

## Detailed Description

GLM_GTX_fast_exponential

See also
  GLM Core (dependence)
  gtx_half_float (dependence)

Definition in file fast_exponential.hpp.